Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.api.plugins.jetty
[Java] Class JettyPlugin

    java.lang.Object
      org.gradle.api.plugins.jetty.JettyPlugin

All Implemented Interfaces:
  Plugin

    public class JettyPlugin

A Plugin which extends the WarPlugin to add tasks which run the web application using an embedded Jetty web container.

Authors:
  Hans Dockter

Field Summary
`static String` | `JETTY_RUN`
`static String` | `JETTY_RUN_WAR`
`static String` | `JETTY_STOP`
`static String` | `RELOAD_AUTOMATIC`
`static String` | `RELOAD_MANUAL`

Method Summary
`void` | `apply(Project project)`
`JavaPluginConvention` | `getJavaConvention(Project project)`
`WarPluginConvention` | `getWarConvention(Project project)`

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Field Detail

### JETTY_RUN

    public static final String JETTY_RUN

### JETTY_RUN_WAR

    public static final String JETTY_RUN_WAR

### JETTY_STOP

    public static final String JETTY_STOP

### RELOAD_AUTOMATIC

    public static final String RELOAD_AUTOMATIC

### RELOAD_MANUAL

    public static final String RELOAD_MANUAL

Method Detail

### apply

    public void apply(Project project)

### getJavaConvention

    public JavaPluginConvention getJavaConvention(Project project)

### getWarConvention

    public WarPluginConvention getWarConvention(Project project)

Gradle API 1.1-rc-1